import React, {PropTypes, cloneElement} from 'react';
import c from 'classnames';

import InputSelect from '../input-select/input-select'
import InputSelectOption from '../input-select/input-select-option'

export default class extends React.Component {
  displayName: 'InputCity'

  render () {
    return (
      <InputSelect
        label="城市"
        {...this.props} >
        <InputSelectOption value="基隆">基隆</InputSelectOption>
        <InputSelectOption value="臺北">臺北</InputSelectOption>
        <InputSelectOption value="新北">新北</InputSelectOption>
        <InputSelectOption value="宜蘭">宜蘭</InputSelectOption>
        <InputSelectOption value="新竹">新竹</InputSelectOption>
        <InputSelectOption value="桃園">桃園</InputSelectOption>
        <InputSelectOption value="苗栗">苗栗</InputSelectOption>
        <InputSelectOption value="臺中">臺中</InputSelectOption>
        <InputSelectOption value="彰化">彰化</InputSelectOption>
        <InputSelectOption value="南投">南投</InputSelectOption>
        <InputSelectOption value="嘉義">嘉義</InputSelectOption>
        <InputSelectOption value="雲林">雲林</InputSelectOption>
        <InputSelectOption value="臺南">臺南</InputSelectOption>
        <InputSelectOption value="高雄">高雄</InputSelectOption>
        <InputSelectOption value="澎湖">澎湖</InputSelectOption>
        <InputSelectOption value="屏東">屏東</InputSelectOption>
        <InputSelectOption value="台東">台東</InputSelectOption>
        <InputSelectOption value="花蓮">花蓮</InputSelectOption>
        <InputSelectOption value="金門">金門</InputSelectOption>
        <InputSelectOption value="連江">連江</InputSelectOption>
      </InputSelect>
    );
  }
}
